# -*- coding: utf-8 -*- 
# @Time    : 03/20/2024 
# @Author  : nzooherd 
# @File   : main.py 
# @Softw are: Visual Studio Code

import asyncio

from bootstrap import BaseApp
from controller.customer import CustomerController
from controller.video import VideoController
from controller.admin import AdminController
from controller.payment import PaymentController
from controller.start import StartController

from component.pornherd_bot import mybot

class TelegramApp(BaseApp):

    def __init__(self) -> None:
        super().__init__()
        self.init_controller()

    def init_controller(self):
        StartController(mybot)
        VideoController(mybot)
        PaymentController(mybot)
        AdminController(mybot)

        # Init customer controller last
        CustomerController(mybot)

    async def start(self):
        await mybot.init()
        await mybot.bot_client.run_until_disconnected()

if __name__ == '__main__':
    app = TelegramApp()
    asyncio.run(app.start())
    

